Summary: Netfilter packet queue access library
Name: libnetfilter-queue
Version: 1.0.2
Release: r0.0
License: GPLv2+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.netfilter.org/projects/libnetfilter_queue/index.html
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: libnfnetlink
BuildRequires: libmnl
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
Userspace library providing a programming interface (API) to access the
Linux kernel netfilter packet queue

%package -n libnetfilter-queue-dbg
Summary: Netfilter packet queue access library - Debugging files
Group: devel
Suggests: libmnl-dbg(x86_64)
Suggests: libnfnetlink-dbg(x86_64)
Suggests: libc6-dbg(x86_64)
Recommends: libnetfilter-queue1(x86_64) = 1.0.2-r0.0
Provides: libnetfilter-queue-dbg(x86_64) = 1.0.2-r0.0

%description -n libnetfilter-queue-dbg
Userspace library providing a programming interface (API) to access the
Linux kernel netfilter packet queue  This package contains ELF symbols and
related sources for debugging purposes.

%package -n libnetfilter-queue-staticdev
Summary: Netfilter packet queue access library - Development files (Static Libraries)
Group: devel
Requires: libnetfilter-queue-dev(x86_64) = 1.0.2-r0.0

%description -n libnetfilter-queue-staticdev
Userspace library providing a programming interface (API) to access the
Linux kernel netfilter packet queue  This package contains static libraries
for software development.

%package -n libnetfilter-queue-dev
Summary: Netfilter packet queue access library - Development files
Group: devel
Requires: libnetfilter-queue1(x86_64) = 1.0.2-r0.0
Suggests: libnfnetlink-dev(x86_64)
Suggests: libmnl-dev(x86_64)
Suggests: libc6-dev(x86_64)
Provides: libnetfilter-queue-dev(x86_64) = 1.0.2-r0.0

%description -n libnetfilter-queue-dev
Userspace library providing a programming interface (API) to access the
Linux kernel netfilter packet queue  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libnetfilter-queue-doc
Summary: Netfilter packet queue access library - Documentation files
Group: doc

%description -n libnetfilter-queue-doc
Userspace library providing a programming interface (API) to access the
Linux kernel netfilter packet queue  This package contains documentation.

%package -n libnetfilter-queue-locale
Summary: Netfilter packet queue access library
Group: base

%description -n libnetfilter-queue-locale
Userspace library providing a programming interface (API) to access the
Linux kernel netfilter packet queue

%package -n libnetfilter-queue1
Summary: Netfilter packet queue access library
Group: base
Requires: rtld(GNU_HASH)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libnfnetlink.so.0()(64bit)
Requires: libnfnetlink0(x86_64) >= 1.0.1
Requires: libmnl.so.0()(64bit)
Requires: libmnl0(x86_64) >= 1.0.3
Requires(post): rtld(GNU_HASH)
Requires(post): libmnl.so.0(LIBMNL_1.0)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libnfnetlink.so.0()(64bit)
Requires(post): libnfnetlink0(x86_64) >= 1.0.1
Requires(post): libmnl.so.0()(64bit)
Requires(post): libmnl0(x86_64) >= 1.0.3
Provides: libnetfilter-queue1(x86_64) = 1.0.2-r0.0
Provides: libnetfilter_queue.so.1()(64bit)

%description -n libnetfilter-queue1
Userspace library providing a programming interface (API) to access the
Linux kernel netfilter packet queue

%post -n libnetfilter-queue1
# libnetfilter-queue1 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libnetfilter-queue-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libnetfilter-queue"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/libnetfilter_queue"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/linux"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/libnetfilter_queue/libnetfilter_queue_ipv4.h"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/libnetfilter_queue/linux_nfnetlink_queue.h"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/libnetfilter_queue/pktbuff.h"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/libnetfilter_queue/libnetfilter_queue.h"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/linux/netfilter"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/include/linux/netfilter/nfnetlink_queue.h"
%dir "/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/extra"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/internal.h"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/libnetfilter_queue.c"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/nlmsg.c"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/extra/udp.c"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/extra/checksum.c"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/extra/ipv6.c"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/extra/tcp.c"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/extra/ipv4.c"
"/usr/src/debug/libnetfilter-queue/1.0.2-r0/libnetfilter_queue-1.0.2/src/extra/pktbuff.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libnetfilter_queue.so.1.3.0"

%files -n libnetfilter-queue-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/libnetfilter_queue"
"/usr/include/internal.h"
"/usr/include/libnetfilter_queue/libnetfilter_queue_ipv4.h"
"/usr/include/libnetfilter_queue/libnetfilter_queue_udp.h"
"/usr/include/libnetfilter_queue/linux_nfnetlink_queue.h"
"/usr/include/libnetfilter_queue/libnetfilter_queue_ipv6.h"
"/usr/include/libnetfilter_queue/libnetfilter_queue_tcp.h"
"/usr/include/libnetfilter_queue/pktbuff.h"
"/usr/include/libnetfilter_queue/libnetfilter_queue.h"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libnetfilter_queue.la"
"/usr/lib64/libnetfilter_queue.so"
"/usr/lib64/pkgconfig/libnetfilter_queue.pc"

%files -n libnetfilter-queue1
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libnetfilter_queue.so.1"
"/usr/lib64/libnetfilter_queue.so.1.3.0"

